| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::xcvr_dboard_base Class Reference

`#include <uhd/usrp/dboard_base.hpp>`

Inheritance diagram for uhd::usrp::xcvr_dboard_base:

## Detailed Description

A xcvr daughter board implements rx and tx methods Sub classes for xcvr boards should inherit this.

## Public Member Functions
| xcvr_dboard_base (ctor_args_t)
| ~xcvr_dboard_base () override
Public Member Functions inherited from uhd::usrp::dboard_base
| dboard_base (ctor_args_t)
virtual | ~dboard_base ()
virtual void | initialize ()

## Additional Inherited Members
Public Types inherited from uhd::usrp::dboard_base
typedef std::shared_ptr< dboard_base > | sptr
typedef void * | ctor_args_t
Protected Member Functions inherited from uhd::usrp::dboard_base
std::string | get_subdev_name (void)
dboard_iface::sptr | get_iface (void)
dboard_id_t | get_rx_id (void)
dboard_id_t | get_tx_id (void)
dboard_eeprom_t | get_rx_eeprom (void)
dboard_eeprom_t | get_tx_eeprom (void)
property_tree::sptr | get_rx_subtree (void)
property_tree::sptr | get_tx_subtree (void)

## Constructor & Destructor Documentation

## ◆ xcvr_dboard_base()

uhd::usrp::xcvr_dboard_base::xcvr_dboard_base | ( | ctor_args_t |  | ) |

Create a new xcvr dboard object, override in subclasses.

## ◆ ~xcvr_dboard_base()

uhd::usrp::xcvr_dboard_base::~xcvr_dboard_base | ( |  | ) |
| inline override

The documentation for this class was generated from the following file:

- dboard_base.hpp